<template>
  <div class="container">
    <div v-for="data in jsonData.value.payload.planets" :key="data.id" class="child">
      <div>
        planet 
      </div>
    </div>
  </div>
</template>
  
<script lang="ts">
import { onMounted, ref } from 'vue';
import myData from '@/example_map.json';

interface Planet {
  id: number;
  x: number;
  y: number;
  movementDifficulty: number;
  resource: Resource;
}

interface Resource {
  resourceType: string;
  maxAmount: number;
  currentAmount: number;
}

interface Header {
  key: string;
  value: {
    payload: string;
    encoding: string;
    schemaId: number;
  };
}

interface JsonData {
  partitionID: number;
  offset: number;
  timestamp: number;
  compression: string;
  isTransactional: boolean;
  headers: Header[];
  key: {
    payload: number;
    encoding: string;
    schemaID: number;
  };
  value: {
    payload: {
      id: number;
      status: string;
      planets: Planet[];
    };
  };
}

export default {
  setup() {
    const jsonData = ref<JsonData | null>(myData);
    const placement = ref<HTMLElement | null>(null);

    onMounted(() => {
      var counter = 0;
      for(data in jsonData){

      }

    });
    return {
      jsonData,
    };
  },
};
</script>

<style>
.container{
  margin-top: 50px;
  display: grid;
  grid-gap: 1px;
  grid-template-columns: repeat(100, [col] 80px ) ;
  grid-template-rows: 80px;
}

.child{
  border: 3px solid #CCCCCC;
  text-align: center;
  border-collapse: collapse;
  padding: 10px;
}

#child{
  grid-column: 1 / 2;
  grid-row: 1 / 2;
}
</style>